x1 = imread('sentinel1_VVVH_02_warp.tif');
x2 = imread('sentinel1_VVVH_03_warp.tif');
L = 4.9; %4.4
pval = 0.99995;

wl = wilks_lambda_change(x1,x2,L);

[nrows,ncols,~] = size(x1);
% subplot_tight from Matlab Central
mv = 0.005; % mv = 0.02; % subplot_tight vertical margin
mh = 0.005; % mh = 0.01; % subplot_tight horizontal margin

% RGB VV-VH-VH/VV
xx1 = 10*log10(cat(3,x1,x1(:,:,1)./x1(:,:,2)));
xx2 = 10*log10(cat(3,x2,x2(:,:,1)./x2(:,:,2)));
xx1(:,:,1) = (xx1(:,:,1)+22)/26; % -22 dB to  4 dB
xx1(:,:,2) = (xx1(:,:,2)+28)/24; % -28 dB to -4 dB
xx1(:,:,3) = (xx1(:,:,3))/16;    %   0 db to 16 dB
xx2(:,:,1) = (xx2(:,:,1)+22)/26;
xx2(:,:,2) = (xx2(:,:,2)+28)/24;
xx2(:,:,3) = (xx2(:,:,3))/16;

figure
h(1,1) = subplot_tight(2,2,1,[mv,mh]);
imshow(xx1)
h(1,2) = subplot_tight(2,2,2,[mv,mh]);
imshow(xx2)
h(1,3) = subplot_tight(2,2,3,[mv,mh]);
imshow(cat(3,wl.Wilks(:,:,1),wl.Wilks(:,:,2),zeros(nrows,ncols)))
h(1,4) = subplot_tight(2,2,4,[mv,mh]);
aux1 =  wl.pBeta(:,:,1)>pval & wl.pBeta(:,:,2)<1-pval;
aux2 =  wl.pBeta(:,:,2)>pval & wl.pBeta(:,:,1)<1-pval;
imshow(single(cat(3,aux1,aux2,zeros(nrows,ncols))))
linkaxes(h,'xy')
